Updates the job work instruction list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

job_work_instruction_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

jobs_id

Foreign key of the jobs

globally unique identifier

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs_reference_back_office

Embedded entity "jobs" using ERP PK when adding/updating

string

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

jobs

Embedded entity "jobs" when adding/updating

jobs

Optionally required : jobs_id, jobs_reference_back_office or jobs must be provided

work_instruction_details_id

work instruction details id

globally unique identifier
work_instruction_details_reference_back_office

Embedded code "work instruction details" when adding/updating

string
work_instruction_details

Embedded entity "work instruction details" when adding/updating

work_instruction_details
user_id

Filled by the person that completed that item on the checklist

globally unique identifier
work_instruction_action_type

Value from work_instruction_action_type.name

string
work_instruction_id

work instruction id

globally unique identifier

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction_reference_back_office

Embedded code "work instruction" when adding/updating

string

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

work_instruction

Embedded entity "work instruction" when adding/updating

work_instruction

Optionally required : work_instruction_id,work_instruction_reference_back_office or work_instruction must be provided

name

The "on what"

string

Required

Max length: 4000

status

Status can be Ok,NotOk,Replaced,NotApplicable

string

Max length: 50

date_done

Datetime filled when status goes to one valable status.

date
remark

Additional remark from the technician.

string

Max length: 255

advise

Additional advice from the technician.

string

Max length: 255

sequence

To order it.

integer
reference_back_office

The Id/Ref of the back office for this job work instruction. Used by Embedded entity

string

Max length: 255

group_name

Name of the group

string

Max length: 4000

group_sequence

Order of the group

integer
type

One of the possible types which are Regular, Form, Picture, UsedParts, BillableHours. Regular is the default

string
instruction_document_count

Specify how many documents/photos must be added if type is Picture

integer
db_report_type_id

When type is Form, you must specify which db_report_type must be filled

globally unique identifier
db_report_type_name

When type is Form, you must specify which db_report_type must be filled

string
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "0a445622-6b42-459b-b3b4-6e8cfb0e1844",
  "jobs_id": "5110b11c-08e4-402a-a631-ec148282226d",
  "jobs_reference_back_office": "sample string 3",
  "jobs": {
    "id": "3aff2325-1afb-4498-a418-3af83fbe2217",
    "_parent_id": "538f36b4-deb9-4489-97b5-3bbd96e8e551",
    "_parent_jobs_reference_back_office": "sample string 3",
    "project_id": "43ed1575-e989-4fa9-8a1a-b2457f033a6e",
    "project_reference_back_office": "sample string 5",
    "project": {
      "id": "5aed68d3-ffe4-44e0-8e78-fecb725fcba7",
      "_parent_id": "75f0d92f-3b40-40b5-a5a8-c8c910d1dc31",
      "root_parent_id": "bb9a4cde-74c4-4b82-81b3-4731abb7445e",
      "_parent_reference_back_office": "sample string 4",
      "equipment_family_id": "292df0dd-23a0-4494-9073-9d39cbcc0be2",
      "equipment_family_code": "sample string 6",
      "equipment_family": {
        "id": "4b78626c-6011-434b-bcdd-12a8174ed828",
        "name": "sample string 2",
        "description": "sample string 3",
        "code": "sample string 4",
        "_parent_id": "b2fe755b-192c-4804-951c-2e76f6016b61",
        "_parent_code": "sample string 6",
        "sales_organization_id": "a86cca5b-2823-4f0f-90ab-2efedeb7d024",
        "sales_organization_code": "sample string 8",
        "sales_organization": {
          "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
          "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
          "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
        },
        "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
      },
      "equipment_model_id": "ac20ed48-e1ed-4386-a7c4-4cbc250e2530",
      "equipment_model_code": "sample string 8",
      "equipment_model": {
        "id": "9bdee043-403d-4a15-bf0f-cb0d4ffaf06b",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "equipment_brand_id": "bf191bd7-2a26-4f0d-90ff-bd8d61537352",
        "equipment_brand_code": "sample string 6",
        "equipment_brand": {
          "id": "9954779c-73a5-43ec-981f-bc787f676669",
          "name": "sample string 2",
          "code": "sample string 3",
          "sales_organization_id": "6ce7a7ec-5217-4228-99c1-8e5ef18d5c53",
          "sales_organization_code": "sample string 5",
          "sales_organization": {
            "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
            "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
            "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
          },
          "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
        },
        "equipment_family_id": "e9b5e722-365c-4952-9439-e3358cd31bdd",
        "equipment_family_code": "sample string 8",
        "equipment_family": {
          "id": "4b78626c-6011-434b-bcdd-12a8174ed828",
          "name": "sample string 2",
          "description": "sample string 3",
          "code": "sample string 4",
          "_parent_id": "b2fe755b-192c-4804-951c-2e76f6016b61",
          "_parent_code": "sample string 6",
          "sales_organization_id": "a86cca5b-2823-4f0f-90ab-2efedeb7d024",
          "sales_organization_code": "sample string 8",
          "sales_organization": {
            "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
            "code": "sample string 2",
            "name": "sample string 3",
            "description": "sample string 4",
            "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
            "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
            "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
            "accountancy_code": "sample string 8",
            "archived": true,
            "default_unit_of_measure_system_type": "sample string 10",
            "street": "sample string 11",
            "street2": "sample string 12",
            "street_number": "sample string 13",
            "zip": "sample string 14",
            "city": "sample string 15",
            "email": "sample string 16",
            "phone": "sample string 17",
            "fax": "sample string 18",
            "url": "sample string 19",
            "vat_reg_code": "sample string 20",
            "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
          },
          "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
        },
        "date_in_production_since": "2026-11-01T15:27:09.7419885+00:00",
        "date_out_of_production_since": "2026-11-01T15:27:09.7419885+00:00",
        "date_end_support": "2026-11-01T15:27:09.7419885+00:00",
        "sales_organization_id": "47ed66be-6fcb-4c1c-b5f0-c8b201d5ff1e",
        "sales_organization_code": "sample string 13",
        "sales_organization": {
          "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
          "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
          "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
        },
        "replacement_period_nb_months": 14,
        "warranty_period_nb_months": 15,
        "translations": [
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          },
          {
            "field_name": "sample string 1",
            "language_code": "sample string 2",
            "value_translated": "sample string 3"
          }
        ],
        "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
      },
      "project_status_id": "ba80bef6-0403-42f7-abed-429bb75e1156",
      "project_status_code": "sample string 10",
      "project_status": {
        "id": "46cd7837-820d-490d-82b8-fc244a93b911",
        "name": "sample string 2",
        "is_default": true,
        "is_closed": true,
        "sales_organization_id": "ac522ec3-061f-4ed9-8016-c3f619696611",
        "sales_organization_code": "sample string 6",
        "sales_organization": {
          "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
          "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
          "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
        },
        "code": "sample string 7",
        "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
      },
      "company_id": "381a7dfd-6d30-4555-a86b-493ab1d0fd23",
      "company_code": "sample string 12",
      "db_address_id": "9658ef6f-f61d-414b-885c-d20bbdc394f8",
      "db_address_code": "sample string 14",
      "location": "sample string 15",
      "contact_id": "5d833a84-9fca-44de-9e7c-5a47bb8877b4",
      "contact_reference_back_office": "sample string 17",
      "owner_user_id": "b88a2ee5-80e9-4d7d-8acc-06c7208f402b",
      "name": "sample string 19",
      "description": "sample string 20",
      "reference_back_office": "sample string 21",
      "serial_number": "sample string 22",
      "barcode": "sample string 23",
      "date_start_production": "2026-11-01T15:27:09.7419885+00:00",
      "date_create": "2026-11-01T15:27:09.7419885+00:00",
      "date_update": "2026-11-01T15:27:09.7419885+00:00",
      "updated_by_user_id": "88885abe-f187-4925-babf-6c38f5ba57d0",
      "customer_reference": "sample string 28",
      "warranty_date_until": "2026-11-01T15:27:09.7419885+00:00",
      "last_standard_result_score_1": "sample string 30",
      "last_standard_result_score_2": "sample string 31",
      "target_standard_result_score_1": "sample string 32",
      "target_standard_result_score_2": "sample string 33",
      "date_built": "2026-11-01T00:00:00+00:00",
      "shutdown_consequence": "sample string 35",
      "id2": 36,
      "nb_open_jobs": 37,
      "date_next_job": "2026-11-01T15:27:09.7419885+00:00",
      "date_last_job": "2026-11-01T15:27:09.7419885+00:00",
      "nb_jobs_planned": 40,
      "nb_jobs_tobeplanned": 41,
      "nb_jobs_waitingfurtheraction": 42,
      "back_office_timestamp": "2026-11-01T15:27:09.7419885+00:00",
      "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00",
      "is_mobile_installation": true
    },
    "job_type_id": "b17ab36d-f6bc-44fc-9925-7443aeaacd7f",
    "job_type_code": "sample string 7",
    "job_type": {
      "id": "b8f63ab6-342a-4077-b8b2-03fef23a6e9a",
      "name": "sample string 2",
      "sales_organization_id": "c674e45b-adf8-4c99-a803-519da2418715",
      "description": "sample string 4",
      "is_default": true,
      "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00",
      "code": "sample string 7"
    },
    "job_priority_id": "eaa9757d-faad-45ad-91e3-ccc844968c91",
    "job_priority_code": "sample string 9",
    "job_priority": {
      "id": "700aee8e-2f9e-4441-8221-41f6ce0f3a19",
      "name": "sample string 2",
      "is_default": true,
      "sequence": 4,
      "sales_organization_id": "e7a45a32-68b5-4cb3-86dc-87cd6998b054",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
        "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
        "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
      },
      "code": "sample string 7",
      "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
    },
    "job_status_id": "52980a59-f71d-493d-a7f1-629de9010113",
    "job_status_code": "sample string 11",
    "db_address_id": "fb441b1c-8749-4376-9066-e3d98e8994de",
    "contact_id": "0bd618a9-deed-4c71-98a6-959ef5391b96",
    "requested_by_company_id": "0e6b5517-c489-4425-82c9-40d38060a15c",
    "requested_by_contact_id": "18af60d0-4894-4a12-9e3f-9881c77cf11b",
    "reference_back_office": "sample string 16",
    "name": "sample string 17",
    "description": "sample string 18",
    "working_sequence": 19,
    "internal_memo": "sample string 20",
    "prejob_information": "sample string 21",
    "estimated_time": 22,
    "earliest_date_plannable": "2026-11-01T15:27:09.7419885+00:00",
    "due_date": "2026-11-01T15:27:09.7419885+00:00",
    "date_create": "2026-11-01T15:27:09.7419885+00:00",
    "date_update": "2026-11-01T15:27:09.7419885+00:00",
    "date_closed": "2026-11-01T15:27:09.7419885+00:00",
    "suggested_user_id": "813abbb2-4a3e-4ee9-934b-2587428a5f0e",
    "suggested_user_code": "sample string 29",
    "suggested_user": {
      "id": "2d6c5efc-b3e5-46dd-b169-ff03c6de3a86",
      "db_language_id": "4d830a75-191b-4cd0-9e15-140b56707617",
      "username": "sample string 3",
      "firstname": "sample string 4",
      "lastname": "sample string 5",
      "code": "sample string 6",
      "archived": true,
      "disabled": true,
      "emergency_contact": "sample string 9",
      "bankaccount": "sample string 10",
      "social_security": "sample string 11",
      "place_of_birth": "sample string 12",
      "nationality": "sample string 13",
      "functions": "sample string 14",
      "birthdate": "2026-11-01T15:27:09.7419885+00:00",
      "skype": "sample string 16",
      "notes": "sample string 17",
      "sales_organization_id": "c25b2bd2-0844-4141-b0b5-3084f7986596",
      "sales_organization": {
        "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
        "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
        "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
      },
      "sales_organization_code": "sample string 19",
      "is_team_leader": true,
      "team_leader_user_id": "488c05ec-13f9-4c35-a86a-4e0be22c473f",
      "email": "sample string 22",
      "phone": "sample string 23",
      "fax": "sample string 24",
      "mobile": "sample string 25",
      "private_email": "sample string 26",
      "private_phone": "sample string 27",
      "private_fax": "sample string 28",
      "private_mobile": "sample string 29",
      "private_street": "sample string 30",
      "private_street_number": "sample string 31",
      "private_city": "sample string 32",
      "private_zip": "sample string 33",
      "private_db_country_id": "49fab8be-b31e-4efd-9139-e3eeee64c682",
      "private_db_country_code": "sample string 35",
      "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00",
      "allow_hero_app": true,
      "allow_sales_app": true,
      "allow_service_app": true,
      "user_group_id": "74941dd7-b4cc-4357-be27-d7193fb4b389"
    },
    "suggested_date_start": "2026-11-01T15:27:09.7419885+00:00",
    "skill_id": "b94ecff7-b824-4fba-bb60-e943abbb7214",
    "skill_code": "sample string 32",
    "skill": {
      "id": "14ceebaa-b835-4dc4-abdb-97bb948c3c53",
      "name": "sample string 2",
      "description": "sample string 3",
      "code": "sample string 4",
      "sales_organization_id": "20256d56-0261-47ea-8fbc-cd340bbbf306",
      "sales_organization_code": "sample string 6",
      "sales_organization": {
        "id": "588a2c4e-3cdd-4b64-bd58-af56e4a870e8",
        "code": "sample string 2",
        "name": "sample string 3",
        "description": "sample string 4",
        "db_country_id": "ab88f45d-b799-43f7-bfc5-0456499c93e7",
        "db_currency_id": "68557e35-dd58-493a-a073-d16337bbe0f7",
        "db_language_id": "6d640299-316a-4c14-b45e-cc7af404bdef",
        "accountancy_code": "sample string 8",
        "archived": true,
        "default_unit_of_measure_system_type": "sample string 10",
        "street": "sample string 11",
        "street2": "sample string 12",
        "street_number": "sample string 13",
        "zip": "sample string 14",
        "city": "sample string 15",
        "email": "sample string 16",
        "phone": "sample string 17",
        "fax": "sample string 18",
        "url": "sample string 19",
        "vat_reg_code": "sample string 20",
        "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
      },
      "modified_dateutc": "2026-11-01T15:27:09.7419885+00:00"
    },
    "customer_reference": "sample string 33",
    "approval_responsible_user_id": "6ffd6e19-bcbb-4809-82b0-a6e895971624",
    "date_reported_by_company": "2026-11-01T15:27:09.7419885+00:00",
    "id2": 36,
    "company_id": "16eac041-3790-46ed-9e6e-81a2509f655d",
    "company_code": "sample string 38",
    "db_address_name": "sample string 39",
    "db_address_street": "sample string 40",
    "db_address_street2": "sample string 41",
    "db_address_street_number": "sample string 42",
    "db_address_city": "sample string 43",
    "db_address_zip": "sample string 44",
    "db_address_db_country_id": "490e22e7-7435-4b4b-8bbe-d9d94f540ae6",
    "db_address_db_country_code": "sample string 46",
    "db_address_phone": "sample string 47",
    "db_address_email": "sample string 48",
    "db_address_latitude_decimal": 49.0,
    "db_address_longitude_decimal": 50.0,
    "estimated_quantity_remark": "sample string 51",
    "modified_dateutc": "2026-11-01T15:27:09.7590782+00:00"
  },
  "work_instruction_details_id": "ad66c70f-7450-4a59-91d5-5fddc225378e",
  "work_instruction_details_reference_back_office": "sample string 5",
  "user_id": "d1d453d1-7865-4961-bd46-d1e85085d0a5",
  "work_instruction_action_type": "sample string 7",
  "work_instruction_id": "d4246da6-dc31-4c6f-8fe8-19cba1deaf07",
  "work_instruction_reference_back_office": "sample string 9",
  "name": "sample string 10",
  "status": "sample string 11",
  "date_done": "2026-11-01T15:27:09.7590782+00:00",
  "remark": "sample string 13",
  "advise": "sample string 14",
  "sequence": 1,
  "reference_back_office": "sample string 15",
  "group_name": "sample string 16",
  "group_sequence": 1,
  "type": "sample string 17",
  "instruction_document_count": 1,
  "db_report_type_id": "d753842c-e3b0-4532-9692-ca914fa4ad14",
  "db_report_type_name": "sample string 18",
  "modified_dateutc": "2026-11-01T15:27:09.7590782+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.